Magick++: Magick::ColorRGB Class Reference

Magick++ 7.1.0

Public Member Functions | Protected Member Functions | List of all members
Magick::ColorRGB Class Reference

`#include <Color.h>`

Inheritance diagram for Magick::ColorRGB:
[legend]
Collaboration diagram for Magick::ColorRGB:
[legend]

## Public Member Functions
| ColorRGB (void)
| ColorRGB (const Color &color_)
| ColorRGB (const double red_, const double green_, const double blue_)
| ColorRGB (const double red_, const double green_, const double blue_, const double alpha_)
| ~ColorRGB (void)
ColorRGB & | operator= (const Color &color_)
void | alpha (const double alpha_)
double | alpha (void) const
void | blue (const double blue_)
double | blue (void) const
void | green (const double green_)
double | green (void) const
void | red (const double red_)
double | red (void) const
Public Member Functions inherited from Magick::Color
| Color (void)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_)
| Color (const Magick::Quantum red_, const Magick::Quantum green_, const Magick::Quantum blue_, const Magick::Quantum alpha_)
| Color (const Magick::Quantum cyan_, const Magick::Quantum magenta_, const Magick::Quantum yellow_, const Magick::Quantum black_, const Magick::Quantum alpha_)
| Color (const char *color_)
| Color (const Color &color_)
| Color (const PixelInfo &color_)
| Color (const std::string &color_)
virtual | ~Color (void)
Color & | operator= (const Color &color_)
const Color & | operator= (const char *color)
const Color & | operator= (const PixelInfo &color_)
const Color & | operator= (const std::string &color)
| operator PixelInfo () const
| operator std::string () const
bool | isFuzzyEquivalent (const Color &color_, const double fuzz_) const
void | isValid (const bool valid_)
bool | isValid (void) const
Magick::Color::PixelType | pixelType (void) const
void | quantumAlpha (const Quantum alpha_)
Quantum | quantumAlpha (void) const
void | quantumBlack (const Quantum black_)
Quantum | quantumBlack (void) const
void | quantumBlue (const Quantum blue_)
Quantum | quantumBlue (void) const
void | quantumGreen (const Quantum green_)
Quantum | quantumGreen (void) const
void | quantumRed (const Quantum red_)
Quantum | quantumRed (void) const

## Protected Member Functions
| ColorRGB (PixelInfo *rep_, PixelType pixelType_)
Protected Member Functions inherited from Magick::Color
| Color (PixelInfo *rep_, PixelType pixelType_)
| Color (PixelType pixelType_)
void | pixel (PixelInfo *rep_, PixelType pixelType_)

## Additional Inherited Members
Public Types inherited from Magick::Color
enum | PixelType { CMYKPixel, CMYKAPixel, RGBPixel, RGBAPixel }
Static Protected Member Functions inherited from Magick::Color
static Quantum | scaleDoubleToQuantum (const double double_)
static double | scaleQuantumToDouble (const Quantum quantum_)
Protected Attributes inherited from Magick::Color
PixelInfo * | _pixel

## Detailed Description

Definition at line 351 of file Color.h.

## Constructor & Destructor Documentation

## ◆ ColorRGB() [1/5]

Magick::ColorRGB::ColorRGB | ( | void |  | ) |

Definition at line 782 of file Color.cpp.

## ◆ ColorRGB() [2/5]

Magick::ColorRGB::ColorRGB | ( | const Color & | color_ | ) |

Definition at line 787 of file Color.cpp.

## ◆ ColorRGB() [3/5]

Magick::ColorRGB::ColorRGB | ( | const double | red_,
|  | const double | green_,
|  | const double | blue_
| ) |  |

Definition at line 792 of file Color.cpp.

## ◆ ColorRGB() [4/5]

Magick::ColorRGB::ColorRGB | ( | const double | red_,
|  | const double | green_,
|  | const double | blue_,
|  | const double | alpha_
| ) |  |

Definition at line 799 of file Color.cpp.

## ◆ ~ColorRGB()

Magick::ColorRGB::~ColorRGB | ( | void |  | ) |

Definition at line 806 of file Color.cpp.

## ◆ ColorRGB() [5/5]

Magick::ColorRGB::ColorRGB | ( | PixelInfo * | rep_,
|  | PixelType | pixelType_
| ) |  |
| protected

Definition at line 856 of file Color.cpp.

## Member Function Documentation

## ◆ alpha() [1/2]

void Magick::ColorRGB::alpha | ( | const double | alpha_ | ) |

Definition at line 816 of file Color.cpp.

## ◆ alpha() [2/2]

double Magick::ColorRGB::alpha | ( | void |  | ) | const

Definition at line 821 of file Color.cpp.

## ◆ blue() [1/2]

void Magick::ColorRGB::blue | ( | const double | blue_ | ) |

Definition at line 826 of file Color.cpp.

## ◆ blue() [2/2]

double Magick::ColorRGB::blue | ( | void |  | ) | const

Definition at line 831 of file Color.cpp.

## ◆ green() [1/2]

void Magick::ColorRGB::green | ( | const double | green_ | ) |

Definition at line 836 of file Color.cpp.

## ◆ green() [2/2]

double Magick::ColorRGB::green | ( | void |  | ) | const

Definition at line 841 of file Color.cpp.

## ◆ operator=()

Magick::ColorRGB & Magick::ColorRGB::operator= | ( | const Color & | color_ | ) |

Definition at line 810 of file Color.cpp.

## ◆ red() [1/2]

void Magick::ColorRGB::red | ( | const double | red_ | ) |

Definition at line 846 of file Color.cpp.

## ◆ red() [2/2]

double Magick::ColorRGB::red | ( | void |  | ) | const

Definition at line 851 of file Color.cpp.

The documentation for this class was generated from the following files:

- Color.h
- Color.cpp